package com.avaya.ccs.javafxrefclient.request;

import com.avaya.ccs.api.InteractionI;
import com.avaya.ccs.api.enums.DestinationType;
import com.avaya.ccs.javafxrefclient.Logger;

public class GetConsultDestinationTypesRequest extends InteractionRequest{
	
    private static final Logger LOG = Logger.getLogger(GetConsultDestinationTypesRequest.class);

    public GetConsultDestinationTypesRequest(String interactionID) {
        super(LOG, interactionID);
    }

    /**
     * The call method executes on the outgoingRequest thread
     *
     * @return
     * @throws Exception
     */
    @Override
    protected Object call() throws Exception {
        String methodName = "call() ";
        LOG.info(methodName + "+");
        InteractionI interaction = getInteraction();

        interaction.getConsultDestinationTypes();
        LOG.info("call()" + "interaction: " + interaction.getId());
        
        LOG.info(methodName + "-");
        return null;
    }

}
